#-----------------------------------------------------------------------------
#
#   ALHM - Playing screen
#
#-----------------------------------------------------------------------------

from pygame.locals import *
from humerus.main_commands import MainCommandScreen
from game import game

from constants import *

key_to_direction = {
    K_RIGHT: RIGHT,
    K_LEFT: LEFT,
    K_DOWN: DOWN,
    K_UP: UP
}

class PlayScreen(MainCommandScreen):

    bg_color = white

    def draw(self, surf):
        level = game.playing_level
        if level:
            level.draw(surf)

    def begin_frame(self):
        MainCommandScreen.begin_frame(self)
        self.invalidate()

    def key_down(self, e):
        level = game.playing_level
        k = e.key
        if k == K_SPACE:
            level.activation_cmd()
            return
        dir = key_to_direction.get(k)
        if dir is not None:
            level.start_moving(dir)
            return
        MainCommandScreen.key_down(self, e)

    def key_up(self, e):
        dir = key_to_direction.get(e.key)
        if dir is not None:
            game.playing_level.stop_moving(dir)
        else:
            MainCommandScreen.key_down(self, e)

