#--------------------------------------------------------------------------
#
#   ALHM - Shell
#
#--------------------------------------------------------------------------

from albow.dialogs import alert, ask, Dialog
from humerus.hlshell import HLShell
from main_menu_screen import MainMenuScreen
from about_screen import AboutScreen, IntroScreen
from play_screen import PlayScreen

class Shell(HLShell):

    game_title = "A Lichee Hornet Mutiny"
    
    def __init__(self, *args, **kwds):
        HLShell.__init__(self, *args, **kwds)
        self.main_menu_screen = MainMenuScreen(self, with_menu = True)
        self.play_screen = PlayScreen(self)
        self.about_screen = AboutScreen(self)
        self.intro_screen = IntroScreen(self)
        self.show_main_menu_screen()
#         change_music(main_music)
    
#     def game_completed(self, result):
#         alert("Princess 1, Hornets 0.")
#         self.show_main_menu_screen()

    def options_cmd(self):
        pass
#         music_options_dlog.present()

    def leave_about_screen(self):
        if self.game.game_in_progress():
            self.show_play_screen()
        else:
            self.show_main_menu_screen()

    def level_won(self, result):
        ask("Princess 1, Hornets 0", ["Whew!"])
        HLShell.level_won(self, result)

    def level_lost(self, result):
        if ask("Hornets 1, Princess 0", ["Try Again", "Give Up"]) == "Try Again":
            self.restart_level()
        else:
            HLShell.level_lost(self, result)
